LINUX.ORG.RU

Установка krusader-1.4


0

0

Вот что сообщает mdk-10 "Некоторые запрошенные пакеты не могут быть установлены: krusader-1.40-1mdk.i586 (из-за неудовлетворенности libstdc++.so.6) вы согласны?" Где это взять. К какому пакету относится эта библиотека?

anonymous

Re: Установка krusader-1.4

libstdc++

jackill ★★★★★ ()
Ответ на: Re: Установка krusader-1.4 от jackill

Re: Re: Установка krusader-1.4

 Это библиотека libsdc++6, дело в том что я засомневался вот
почему:
Скачал эту либу libsdc++6-3.4.0-0.4mdk.i586.rpm. Встала она безлишних вопросов,
за исключением неправильных подписей, поставил krusader-1.40-1mdk.i586.rpm. Так
же встал нормально если не считаь ругань на подписи, НО при запуске в из меню
вылетает ошибка KDE и приложение не запускается. Вот я и подумал, что наверное
что то не то сделал или с этой либой ошибся. Вот что выводит при запуске
krusader
krusader: Symbol `_ZTI9KLineEdit' has different size in shared object, consider
re-linking
krusader: Symbol `_ZTI10QPopupMenu' has different size in shared object,
consider re-linking
krusader: Symbol `_ZTI8QSpinBox' has different size in shared object, consider
re-linking
krusader: Symbol `_ZTI7QPixmap' has different size in shared object, consider
re-linking
krusader: Symbol `_ZTI7QWidget' has different size in shared object, consider
re-linking
krusader: Symbol `_ZTI11KMainWindow' has different size in shared object,
consider re-linking
krusader: Symbol `_ZTIN6KParts8PartBaseE' has different size in shared object,
consider re-linking
krusader: Symbol `_ZTIN6KParts10MainWindowE' has different size in shared
object, consider re-linking
Loading required GL library /usr/lib/libGL.so.1
krusader: WARNING: Mt.Man: Born, looking around to get familiar.
krusader: relocation error: krusader: undefined symbol:
_ZNK18KSqueezedTextLabel8sizeHintEv
Может он на другую версию kde расчитан или вообще на другой оконный менеджер. У
меня MDK-10 Official

anonymous ()
Ответ на: Re: Re: Установка krusader-1.4 от anonymous

Re: Re: Re: Установка krusader-1.4

Версия gcc/libstdc/glibc желательно брать из одной коробки. :) Обнови все.

Или возьми свой krusader и свой libstdc (он у тебя, кстати, должен быть на компакет).

jackill ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.